### Function

# GLib Sequence foreach_range

since: 2.14

#### Declaration

    void
    g_sequence_foreach_range (
      GSequenceIter* begin,
      GSequenceIter* end,
      GFunc func,
      gpointer user_data
    )

#### Description

Calls `func` for each item in the range (`begin`, `end`) passing `user_data` to the function. `func` must not modify the sequence itself.

Available since: 2.14

#### Parameters

`begin`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`end`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`func`

  Type: `GFunc`

  A `GFunc`.

`user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.